Bug 1313874 - yaboot is not supported in rear
Summary: yaboot is not supported in rear
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rear
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Mazanek
QA Contact: Tereza Cerna
Maxim Svistunov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-02 14:11 UTC by Tereza Cerna
Modified: 2017-12-06 11:25 UTC (History)
2 users (show)

(edit)
ReaR supports only grub during system recovery

ReaR supports only the grub boot loader. Consequently, ReaR cannot automatically recover a system with a different boot loader. Notably, yaboot is not yet supported by ReaR on ⁠PowerPC machines. To work around this problem, edit the boot loader manually.
Clone Of:
(edit)
Last Closed: 2017-12-06 11:25:50 UTC


Attachments (Terms of Use)

Description Tereza Cerna 2016-03-02 14:11:47 UTC
Description of problem:
~~~~~~~~~~~~~~~~~~~~~~
Rear expects only grub during system recover, but ppc64 machines have yaboot, not grub. So recover is not possible to do automatically. There is no information about boot menu item for "rear and recover".

It would be nice to support yaboot in rear and have any script which add boot menu item into /etc/yaboot.conf. Or at least print any message that system is not possible to automatically recover without manual editing of yaboot.

Version-Release number of selected component (if applicable):
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# rpm -q rear
rear-1.17.2-4.el6.ppc64

How reproducible:
~~~~~~~~~~~~~~~~~
Allways on machines with yaboot


Reproducer in ppc64:
~~~~~~~~~~~~~~~~~~~
# arch 
ppc64

# rear -v mkbackup
Relax-and-Recover 1.17.2 / Git
Using log file: /var/log/rear/rear-ibm-p8-01-lp5.log
Creating disk layout
Creating root filesystem layout
Copying files and directories
Copying binaries and libraries
Copying kernel modules
Creating initramfs
Making ISO image
Wrote ISO Image /var/lib/rear/output/rear-ibm-p8-01-lp5.iso (81M)
Copying resulting files to nfs location
Encrypting disabled
Creating tar archive '/tmp/rear.NoJWKxBp7lw8b74/outputfs/ibm-p8-01-lp5/backup.tar.gz'
Archived 774 MiB in 182 seconds [avg 4358 KiB/sec]

# cat /var/log/rear/rear-ibm-p8-01-lp5.log
...
2016-03-02 02:48:16 Including output/default/94_grub2_rescue.sh
2016-03-02 02:48:16 Including output/default/94_grub_rescue.sh
2016-03-02 02:48:16 Could not find grub (legacy) binary.
2016-03-02 02:48:16 Including output/default/95_copy_result_files.sh
...

# rpm -q grub yaboot
package grub is not installed
yaboot-1.3.14-43.el6.ppc

# cat /etc/yaboot.conf 
boot=/dev/sda1
init-message="Welcome to Red Hat Enterprise Linux!\nHit <TAB> for boot options"

partition=2
timeout=50
install=/usr/lib/yaboot/yaboot
delay=5
enablecdboot
enableofboot
enablenetboot
nonvram
fstype=raw

image=/vmlinuz-2.6.32-573.el6.ppc64
        label=linux
        read-only
        initrd=/initramfs-2.6.32-573.el6.ppc64.img
        root=/dev/mapper/vg_ibmp801lp5-lv_root
        append="rd_NO_LUKS LANG=en_US.UTF-8 rd_NO_MD console=hvc0  KEYTABLE=us SYSFONT=latarcyrheb-sun16 crashkernel=auto rd_LVM_LV=vg_ibmp801lp5/lv_swap rd_LVM_LV=vg_ibmp801lp5/lv_root rd_NO_DM rhgb quiet"

# reboot

Boot menu item with "Rear and recover" is missing.


Good behavior with grub in x86_64:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# arch
x86_64

# cat /var/log/rear/rear-muflon-2.log
...
2016-03-02 09:43:51 Including output/default/94_grub2_rescue.sh
2016-03-02 09:43:51 Including output/default/94_grub_rescue.sh
--- /boot/grub/grub.conf        2016-03-02 06:49:15.000000000 +0100
+++ /tmp/rear.cXDAUOLjmfK863L/tmp/menu.lst      2016-03-02 09:43:51.453784177 +0100
@@ -15,3 +15,7 @@
        root (hd0,0)
        kernel /vmlinuz-2.6.32-573.el6.x86_64 ro root=/dev/mapper/vg_muflon2-lv_root rd_NO_LUKS rd_LVM_LV=vg_muflon2/lv_swap LANG=en_US.UTF-8 rd_NO_MD rd_LVM_LV=vg_muflon2/lv_root SYSFONT=latarcyrheb-sun16 console=tty0 console=ttyS0 elevator=noop console=ttyS0 crashkernel=auto  KEYBOARDTYPE=pc KEYTABLE=us rd_NO_DM
        initrd /initramfs-2.6.32-573.el6.x86_64.img
+title Relax and Recover
+       password REAR
+       kernel /rear-kernel selinux=0 console=ttyS0,9600 console=tty0
+       initrd /rear-initrd.cgz
2016-03-02 09:43:51 Modifying local GRUB configuration
`/boot/grub/grub.conf' -> `/boot/grub/grub.conf.old'
`/boot/vmlinuz-2.6.32-573.el6.x86_64' -> `/boot/rear-kernel'
`/tmp/rear.cXDAUOLjmfK863L/tmp/initrd.cgz' -> `/boot/rear-initrd.cgz'
2016-03-02 09:43:51 Including output/default/95_copy_result_files.sh
...

# rpm -q grub yaboot
grub-0.97-94.el6.x86_64
package yaboot is not installed

# cat /boot/grub/grub.conf
default=0
timeout=5
serial --unit=0 --speed=9600
terminal --timeout=5 serial console
title Red Hat Enterprise Linux 6 (2.6.32-573.el6.x86_64)
	root (hd0,0)
	kernel /vmlinuz-2.6.32-573.el6.x86_64 ro root=/dev/mapper/vg_muflon2-lv_root rd_NO_LUKS rd_LVM_LV=vg_muflon2/lv_swap LANG=en_US.UTF-8 rd_NO_MD rd_LVM_LV=vg_muflon2/lv_root SYSFONT=latarcyrheb-sun16 console=tty0 console=ttyS0 elevator=noop console=ttyS0 crashkernel=auto  KEYBOARDTYPE=pc KEYTABLE=us rd_NO_DM
	initrd /initramfs-2.6.32-573.el6.x86_64.img
title Relax and Recover
	password REAR
	kernel /rear-kernel selinux=0 console=ttyS0,9600 console=tty0
	initrd /rear-initrd.cgz

# reboot

Item "Rear and recover" exists in boot menu, it is possible to select it and run 'rear recover' command to system recover.

Comment 3 Tereza Cerna 2016-05-19 09:54:56 UTC
Hi Maxim, I think it's good. Thanks.

Comment 6 Jan Kurik 2017-12-06 11:25:50 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.